Skip to main content
POST
/
v1
/
shipping
/
retailers
/
{id}
/
routing-guides
Create Retailer Routing Guide
curl --request POST \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/routing-guides \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_name": "<string>",
  "file_content": "aSDinaTvuI8gbWludGxpZnk=",
  "title": "<string>",
  "description": "<string>"
}
'
{
  "resource": {
    "type": "<string>",
    "id": 1
  },
  "meta": {
    "processing_time": 123
  }
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1

Body

application/json

Create payload — flat JSON with file_name, file_content (base64), and optional title / description.

file_name
string
required

Uploaded file name with extension (e.g. routing-guide.pdf).

Required string length: 1 - 255
file_content
string<byte>
required

Base64-encoded file bytes. Maximum decoded file size is 20 MB.

Maximum string length: 27962028
title
string | null

Optional title; defaults to the uploaded file name when blank.

Maximum string length: 255
description
string | null

Optional notes.

Response

Created - The resource was created successfully.

resource
object

An object describing the resource that was created.

meta
object